heat_template_version: 2013-05-23
parameters:
  mynodename:
    type: string
  ssh_key:
    type: string
  image:
    type: string
  #avz:
  #  type: string
  project_name:
    type: string
  ansible_ssh_user:
    type: string
  security_groups:
    type: json
  NetID:
    type: string
    #default: 915a3d96-693d-4c9d-a2ef-04996ab085d3
    default: Classic Provider

resources:

  instance:
    type: OS::Nova::Server
    properties:
      #availability_zone: { get_param: avz }
      flavor: m3.xsmall
      image: { get_param: image }
      key_name: { get_param: ssh_key }
      security_groups: { get_param: security_groups }
      name: { get_param: mynodename }
      metadata:
       ansible_host_groups: [ ManagementNodes ]
       ansible_ssh_user: { get_param: ansible_ssh_user }
       project_name: { get_param: project_name }
      networks:
       - network: { get_param: NetID }
